gnutls_compression_get_id(3)

NAME
gnutls_compression_get_id - Returns the gnutls id of the specified in string algorithm

SYNOPSIS
#include <gnutls/gnutls.h>

gnutls_compression_method_t gnutls_compression_get_id(const char * name);

ARGUMENTS

const char * name
    is a compression method name

DESCRIPTION
The names are compared in a case insensitive way.

RETURNS
an id of the specified in a string compression method, or GNUTLS_COMP_UNKNOWN on error.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.